/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.GP_PricingGestaoDAO;
import com.rjconsultores.ventaboletos.entidad.GP_PricingGestao;
import com.rjconsultores.ventaboletos.entidad.Pricing;
import com.rjconsultores.ventaboletos.service.GP_PricingGestaoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("gp_pricingGestaoService")
public class GP_PricingGestaoServiceImpl implements GP_PricingGestaoService {

    @Autowired
    private GP_PricingGestaoDAO pricingGestaoDAO;

    public List<GP_PricingGestao> obtenerTodos() {
        return pricingGestaoDAO.obtenerTodos();
    }

    public GP_PricingGestao obtenerID(Integer id) {
        return pricingGestaoDAO.obtenerID(id);
    }

    @Transactional
    public GP_PricingGestao suscribir(GP_PricingGestao entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Pricing.ATIVO);

        return pricingGestaoDAO.suscribir(entidad);
    }

    @Transactional
    public GP_PricingGestao actualizacion(GP_PricingGestao entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Pricing.ATIVO);

        return pricingGestaoDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(GP_PricingGestao entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Pricing.EXCLUIDO);

        pricingGestaoDAO.actualizacion(entidad);
    }

}
